summaryrefslogtreecommitdiff
path: root/debian
Commit message (Collapse)AuthorAge
* Move pam_cracklib manpage to the libpam-cracklib package, and add theSteve Langasek2019-01-08
| | | | requisite Replaces
* consolidate, comment the override targetsSteve Langasek2019-01-08
|
* debian/patches/autoconf.patch: pull ltmain.sh in, to fix some spuriousSteve Langasek2019-01-08
| | | | library linkage in the modules.
* Explicitly add -O0 to CFLAGS when noopt is set.Steve Langasek2019-01-08
|
* Drop CFLAGS that we don't need anymore (-fPIC, -D_REENTRANT,Steve Langasek2019-01-08
| | | | -D_GNU_SOURCE).
* Convert debian/rules to debhelper 7 and add versioned build-dependenciesSteve Langasek2019-01-08
| | | | on debhelper and quilt to suit.
* merge from trunkSteve Langasek2019-01-08
|\
| * I am so far away from the whole pam thing these days that I am almostKarl Ramm2019-01-08
| | | | | | | | | | guaranteed to break something if I upload.
* | Drop the pam_rhosts_auth.so symlink as well, and document in NEWS.DebianSteve Langasek2019-01-08
| | | | | | | | that this is now obsolete.
* | Drop stale content from README.debian: some of this should have been inSteve Langasek2019-01-08
| | | | | | | | | | NEWS.Debian instead (but is so old it's not worth putting it there now), some of it is obsolete by the change in package VCS.
* | Drop the /lib/security/pam_unix_*.so symlinks, which have been deprecatedSteve Langasek2019-01-08
|/ | | | now for 10 years and are not used at all if pam-auth-update is in play.
* Drop ./configure options that are no-opsSteve Langasek2019-01-08
|
* no reason to specify a particular package, dh_makeshlibs will DTRTSteve Langasek2019-01-08
|
* include fewer manpages that we don't want, so that there are fewer we have toSteve Langasek2019-01-08
| | | | remove after
* tighten up our list of examples, so we don't have to remove stuff by hand afterSteve Langasek2019-01-08
|
* don't install a makefile if we're just going to remove it again...Steve Langasek2019-01-08
|
* Use debian/clean instead of rm -f'ing files in debian/rules clean targetSteve Langasek2019-01-08
|
* Drop superfluous options to dh_installchangelogs, dh_shlibdepsSteve Langasek2019-01-08
|
* bump debhelper build-dep to 7 alsoSteve Langasek2019-01-08
|
* move more stuff out of debian/rules into .install filesSteve Langasek2019-01-08
|
* move complexity out of debian/rules that can be represented fine inSteve Langasek2019-01-08
| | | | libpam-runtime.install
* Rename debian/*.lintian to debian/*.lintian-overrides and use dh_lintianSteve Langasek2019-01-08
|
* misc cleanup of useless code in debian/rulesSteve Langasek2019-01-08
|
* Switch all packages over to dh_installSteve Langasek2019-01-08
|
* Switch libpam-modules over to dh_installSteve Langasek2019-01-08
|
* Bump debian/compat to 7, so we can use sane contents in debian/*.installSteve Langasek2019-01-08
|
* fix changelog typoSteve Langasek2019-01-08
|
* patch committed upstreamSteve Langasek2019-01-08
|
* releasing version 1.1.0-2Steve Langasek2019-01-08
|
* record the new md5sum for common-passwordSteve Langasek2019-01-08
|
* debian/local/common-password, debian/pam-configs/unix: switch from "md5"Kees Cook2019-01-08
| | | | to "sha512" as password crypt default.
* * Updated debconf translations:Steve Langasek2019-01-08
| | | | - German, thanks to Sven Joachim <svenjoac@gmx.de> (closes: #544464)
* debian/patches/namespace_with_awk_not_gawk: fix the sampleSteve Langasek2019-01-08
| | | | | namespace.init script's dependency on non-POSIX features of gawk, since we don't use gawk by default. Closes; #518908.
* Clean up the libpam0g postinst a bit; invoke-rc.d has been a guaranteedSteve Langasek2019-01-08
| | | | interface for two stable release cycles now
* Use /bin/sh instead of /bin/bash for libpam0g.postinst, since we'veSteve Langasek2019-01-08
| | | | confirmed there are no longer any bashisms there. Closes: #519973.
* make libpam-runtime depend on libpam-modules (>= 1.0.1-6) - nothing elseSteve Langasek2019-01-08
| | | | guarantees that we have pam_unix available for use by pam-auth-update.
* fix the PAM mini-policy to not tell app maintainers that they don't needSteve Langasek2019-01-08
| | | | to depend on libpam-modules if they reference modules from there.
* debian/patches/pam_unix_dont_trust_chkpwd_caller.patch: fix this patchSteve Langasek2019-01-08
| | | | | | | to call setregid() instead of always returning an error on username mismatch in unix_chkpwd, needed in the SELinux case and in some corner cases with the broken_shadow option. Thanks to Michael Spang for the analysis. Closes: #543589.
* fix up a wrong bug number in the changelogSteve Langasek2019-01-08
|
* releasing version 1.1.0-1Steve Langasek2019-01-08
|
* final pass of manpage fixesSteve Langasek2019-01-08
|
* another pass of manpage fixesSteve Langasek2019-01-08
|
* oops, we don't want to remove the manpages entirely...Steve Langasek2019-01-08
|
* another pass of manpage fixesSteve Langasek2019-01-08
|
* debian/patches/fix-man-crud: new patch, fix "undefined macro" errors inSteve Langasek2019-01-08
| | | | | manpages caused by oddities of toolchain used when generating them upstream.
* add config.h.in changes to autoconf.patch, which will show up upon running aSteve Langasek2019-01-08
| | | | build in any case
* Include changes to pam_limits/README in the patch, since they end up in theSteve Langasek2019-01-08
| | | | | package anyway and this gives us a cleaner ./debian/rules clean
* On upgrade from versions before 1.1.0-1, ifSteve Langasek2019-01-08
| | | | | | /etc/pam.d/common-session-noninteractive has not been created (because the user declined use of pam-auth-update), create it by copying /etc/pam.d/common-session. Closes: #543401.
* document another bug closureSteve Langasek2019-01-08
|
* pam_unix-chkpwd-wait also merged upstreamSteve Langasek2019-01-08
|